Subject: [Mentoring-coordinators] Updated Mentor FAQ

From: Brian Haberman <[email-masked]>
Date: Mon, 09 Sep 2013 11:59:29 -0400

All,
     As a part of the learning process from Berlin, I have updated the
Mentor's FAQ.  Can you take a quick look and let me know if you have any
concerns with the changes made to the answers for questions 2 and 5?  I
would also be interested in any additional changes people think would be
useful.

http://www.innovationslab.net/~brian/mentoring/Mentor_FAQ.html

Regards,
Brian